batch 'o telemetry metrics for private browsing transitions
Add telemetry metrics for private browsing transitions (meta-bug: 

Time interval measurements that can make sense:
- From before "private-browsing-change-granted" observers are called
to after "private-browsing" observers are called
- From before "private-browsing-change-granted" observers are called
to after "private-browsing-transition-complete" observers are called

Distinguished by these conditions:
- Entering PBM because of explicit user action
- Exiting PBM because of explicit user action
- Entering PBM automatically on startup
